<?php
 /**
 * @package com_jlfilemaneger
 * @author Arkadiy Sedelnikov(a.sedelmikov@gmail.com)
 * @version 1.0
 * @copyright (C) 2014 by JoomLine (http://www.joomline.ru)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
*/
// No direct access to this file
defined('_JEXEC') or die;

abstract class JLfilemanagerHelper
{
    /**
     * Get the actions
     */
    public static function getActions()
    {
        $user = JFactory::getUser();
        $result = new JObject;

        $actions = array(
            "core.admin",
            "core.manage",
            "jlf.download",
            "jlf.rm",
            "jlf.duplicate",
            "jlf.rename",
            "jlf.mkdir",
            "jlf.mkfile",
            "jlf.upload",
            "jlf.copy",
            "jlf.cut",
            "jlf.paste",
            "jlf.edit",
            "jlf.extract",
            "jlf.archive",
            "jlf.resize"
        );

        foreach ($actions as $action) {
            $result->set($action, $user->authorise($action, 'com_jlfilemanager'));
        }

        return $result;
    }

    public static function getComands()
    {
        $canDo = self::getActions();

        $comands = array(
            "'open'",       "'reload'",     "'home'",
            "'up'",         "'back'",       "'forward'",
            "'getfile'",    "'quicklook'",  "'search'",
            "'info'",       "'view'",       "'help'",
            "'sort'"
        );

        if($canDo->get('jlf.download'))     $comands[] = "'download'";
        if($canDo->get('jlf.rm'))           $comands[] = "'rm'";
        if($canDo->get('jlf.duplicate'))    $comands[] = "'duplicate'";
        if($canDo->get('jlf.rename'))       $comands[] = "'rename'";
        if($canDo->get('jlf.mkdir'))        $comands[] = "'mkdir'";
        if($canDo->get('jlf.mkfile'))       $comands[] = "'mkfile'";
        if($canDo->get('jlf.upload'))       $comands[] = "'upload'";
        if($canDo->get('jlf.copy'))         $comands[] = "'copy'";
        if($canDo->get('jlf.cut'))          $comands[] = "'cut'";
        if($canDo->get('jlf.paste'))        $comands[] = "'paste'";
        if($canDo->get('jlf.edit'))         $comands[] = "'edit'";
        if($canDo->get('jlf.extract'))      $comands[] = "'extract'";
        if($canDo->get('jlf.archive'))      $comands[] = "'archive'";
        if($canDo->get('jlf.resize'))       $comands[] = "'resize'";

        return implode(', ', $comands);
    }

    public static function getLang()
    {
        $sysLang = JFactory::getLanguage()->getTag();
        $langs = array(
            'ar-DZ' => 'ar',
            'ca-ES' => 'ca',
            'cs-CZ' => 'cs',
            'da-DK' => 'da',
            'de-DE' => 'de',
            'en-GB' => 'en',
            'es-ES' => 'es',
            'fa-IR' => 'fa',
            'fr-FR' => 'fr',
            'hr-HR' => 'hr',
            'hu-HU' => 'hu',
            'ja-JP' => 'jp',
            'ko-KR' => 'ko',
            'lv-LV' => 'lv',
            'nl-NL' => 'nl',
            'pl-PL' => 'pl',
            'pt-BR' => 'pt_BR',
            'ru-RU' => 'ru',
            'sk-SK' => 'sk',
            'th-TH' => 'th',
            'tr-TR' => 'tr',
            'uk-UA' => 'uk',
            'vi-VN' => 'vi',
            'zh-CN' => 'zh_CN',
            'zh-TW' => 'zh_TW',
        );

        return (in_array($sysLang, $langs)) ? $langs[$sysLang] : 'en';
    }
}
