<?php
 /**
 * @package com_jlfilemaneger
 * @author Arkadiy Sedelnikov(a.sedelmikov@gmail.com)
 * @version 1.0
 * @copyright (C) 2014 by JoomLine (http://www.joomline.ru)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
*/
// No direct access to this file
defined('_JEXEC') or die('Restricted access');
 
// import Joomla view library
jimport('joomla.application.component.view');

class jlfilemanagerViewFilemanager extends JViewLegacy
{
	/**
	 * display method of Hello view
	 * @return void
	 */
	public function display($tpl = null) 
	{
        $token = JSession::getFormToken();

        JFactory::getApplication()->setUserState('com_jlfilemanager.token', $token);

		// Set the toolbar
		$this->addToolBar();

		// Display the template
		parent::display($tpl);

		// Set the document
		$this->setDocument($token);
	}
 
	/**
	 * Setting the toolbar
	 */
	protected function addToolBar() 
	{
        $this->loadHelper( 'jlfilemanager' );
        $canDo = JLfilemanagerHelper::getActions();

		JToolBarHelper::title(JText::_('COM_JLF'), 'extensoin');

        if($canDo->get('core.admin')){
            JToolBarHelper::preferences('com_jlfilemanager');
        }
	}
	/**
	 * Method to set up the document properties
	 *
	 * @return void
	 */
	protected function setDocument($token)
	{
        $this->loadHelper( 'jlfilemanager' );

		$doc = JFactory::getDocument();
        $config	= JComponentHelper::getParams('com_jlfilemanager');

		$doc->setTitle(JText::_('COM_JLF'));

        $lang = JLfilemanagerHelper::getLang();

        JHtml::_('jquery.framework');
        $doc->addStyleSheet(JUri::root().'administrator/components/com_jlfilemanager/assets/css/smoothness/jquery-ui-1.10.4.custom.css');
        $doc->addScript(JUri::root().'administrator/components/com_jlfilemanager/assets/js/jquery-ui-1.10.4.custom.js');

        $doc->addStyleSheet(JUri::root().'administrator/components/com_jlfilemanager/assets/elFinder/css/elfinder.min.css');
        $doc->addStyleSheet(JUri::root().'administrator/components/com_jlfilemanager/assets/elFinder/css/theme.css');
        $doc->addScript(JUri::root().'administrator/components/com_jlfilemanager/assets/elFinder/js/elfinder.min.js');

        if($lang != 'en'){
            $doc->addScript(JUri::root().'administrator/components/com_jlfilemanager/assets/elFinder/js/i18n/elfinder.'.$lang.'.js');
        }

        $url = JUri::root().'administrator/index.php?option=com_jlfilemanager&task=connector.run';

        $comands = JLfilemanagerHelper::getComands();



        $doc->addScriptDeclaration("
        jQuery(document).ready(function($) {
            var elfinder = $('#elfinder').elfinder({
                lang: '$lang',             // language (OPTIONAL)
                url : '$url',  // connector URL (REQUIRED)
                customData:{
                token : '$token'
                },
                commands : [
                    $comands
                ]
            }).elfinder('instance');
        });
        ");
	}
}
